Description: Bonjour,
un fichier Latex-AMC avec nom d'étudiants non precompilé utilisant pgfplots (et en plus pdfform) se compile
bien (voir fichiers joints questions.tex et son DOC-catalog-questions.pdf), alors que le presque méme fichier
avec en plus csvsimple ne se compile plus déja en Latex (voir fichier joint examen.tex), I'erreur reportée (cf.
examen.log) est
I Argument of \pgfplots@addplotimpl@expression@curly has an extra }.
<inserted text>

\par

1.158 ...ead to column names]{liste.csv}{}{\sujet}
mais il n'y a pas d'extra }, comme le montre la compilation de question.tex par AMC. Si on force la compilation
avec scroll on obtient un fichier sans les images pgfplots.
Je n'ai pas trouvé de renseignements sur I'usage de pgfplots dans les fichiers AMC, auriez-vous un conseil ?
Cordialement, et merci a tous :-)
Alessandra

History

11/15/2020 01:34 pm - Alessandra Frabetti
- File dossier-forum.zip added

oups, j'ai compresse le mauvais dossier, voici celui qui contient les fichiers examen.tex, liste.csv, questions.tex et DOC-catalog-questions.pdf

Cordialement,

Alessandra

11/15/2020 04:35 pm - Alexis Bienvenlie

Solution de contournement du probléme : utiliser une boite pour le graphique.

Avant les @\element{FonctionsDeuxVariables-Extrema-Plot}@ :

<pre>

\newsavebox{\FDVEPa}

\savebox{\FDVEPa}{
\begin{tikzpicture}

\endf{tikzpicture}
}

</pre>

et dans les @\element{FonctionsDeuxVariables-Extrema-Plot}@, utiliser @\usebox{\FDVEPa}@ a la place du @tikzpicture@.

11/15/2020 05:38 pm - Alessandra Frabetti

Génial, ca marche, merci !!!
La commande \cmd dans \newsavebox{\cmd} n'accepte visiblement pas de chiffres... pour 50 graphes au noms 33A, 33B il me faudra un alphabet

Volcanien ! :-)

11/15/2020 06:52 pm - Alexis Bienvenlie
On peut utiliser des @\csname@ pour cela :

<pre>

%% début du document

\newcommand{\registerAMCgraph}[2]{ %
\expandafter\newsavebox\csname #1\endcsname%
\expandafter\savebox\csname #1\endcsname{#2}%

}
\newcommand{\useAMCgraph}[1]{ %

\expandafter\usebox\csname #1\endcsname%

}

%%%% lors de la définition des questions, mais a I'extérieur des questions

\registerAMCgraph{FonctionsDeuxVariables-Extrema-Plot-2020-33A}
\begin{tikzpicture}

\end{tikzpicture}
}

%%% a l'intérieur des questions

\useAMCgraph{FonctionsDeuxVariables-Extrema-Plot-2020-33A}

11/15/2020 06:54 pm - Alexis Bienvenlie

- Status changed from New to WontFix

11/15/2020 06:58 pm - Alexis Bienveniie
- File deleted (dossier-forum-AMC.zip)

11/15/2020 07:53 pm - Alessandra Frabetti
Merci | La c'est vraiment parfait, et en plus c'est beau !!

Files
dossier-forum.zip 329.3 kB 11/15/2020 Alessandra Frabetti
07/15/2025 2/2



